Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001073Frama-CKernelpublic2012-01-27 13:152014-02-12 16:59
ReporterAnne 
Assigned Tovirgile 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001073: Some functions lose their formals after File.create_project_from_visitor
DescriptionWhen a function is defined but not declared, it loses its formal arguments when creating a new project with [File.create_project_from_visitor].

The problem is that [Cil.setFormalsDecl] is not called for these functions in the generated project.
Additional InformationA simple way to experiment is to use Filter with a parameter that makes everything visible (I have sent such a mini-plug-in to Virgile and Boris).
In the generated project, we can see with [-then-on newproj -print] that these functions have lost their formals.
Moreover, [Cil.getFormalsDecl fundec.svar] raises Not_found on these [fundec].

I haven't found where this should be fixed (File ? Globals.Functions ? ...), but a workaround is to call [Cil.setFormalsDecl] afterward on such functions (ugly, but working !).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004726)

2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-01-27 13:15 Anne New Issue
2012-01-27 14:18 signoles Status new => assigned
2012-01-27 14:18 signoles Assigned To => virgile
2012-01-27 14:58 pascal Summary Some functions loose their formals after File.create_project_from_visitor => Some functions lose their formals after File.create_project_from_visitor
2012-01-27 14:58 pascal Description Updated
2012-01-27 14:58 pascal Additional Information Updated
2012-02-03 18:25 svn Checkin
2012-02-17 19:05 svn Checkin
2012-02-17 19:05 svn Status assigned => resolved
2012-02-17 19:05 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:59 Note Added: 0004726
2014-02-12 16:59 Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker